function userLogin(pass_port,pass_word,image_code){
	var headers = [
        {"Referer":"https://mp.weixin.qq.com/cgi-bin/loginpage?t=wxm2-login&lang=zh_CN"},
        {"Origin":"https://mp.weixin.qq.com"},
        {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
        {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
        {"X-Requested-With":"XMLHttpRequest"}];
    
    var values = [
        {"f":"json"},
        {"imgcode":image_code},
        {"pwd":pass_word},
        {"username":pass_port}];
    
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/login?lang=zh_CN",
        headers:headers,
        values:values
    };
    
    return JSON.stringify(jsonData);
}

function userGetImgCode(username){
    var headers = [];
    var values = [];
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/verifycode?username=" + username + "&r=" + new Date().getTime(),
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

//ticket和operation_seq通过udGetTicket方法获取
//uuid 通过userGetUUID获取
//type login或者msgs
function userGetQrCode(ticket,uuid,type,operation_seq){
    var headers = [];
    
    var values = [];
    
    var jsonData = {
        url:"https://mp.weixin.qq.com/safe/safeqrcode?ticket=" + ticket + "&uuid=" + uuid + "&action=check&type=" + type + "&auth=ticket&msgid=" + operation_seq,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}

function userSendSecuresmsverify(loginSmsCode){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection": "keep-alive"},
                   {"Content-Type": "application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Origin": "https://mp.weixin.qq.com"},
                   {"Referer": "https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_phone_tmpl&lang=zh_CN&type=&protected=1&phone=186******86"},
                   {"User-Agent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With": "XMLHttpRequest"}];
    
    
    var values = [];
    try{
        if(loginSmsCode == null){
            values.push({"act": "sendsmscode"});
        }else
        {
            values.push({"act": "verifysmscode"});
            values.push({"login_sms_code":loginSmsCode});
        }
        
    }catch(err){
        values = [];
        values.push({"act": "sendsmscode"});
    }
    values.push({"lang": "zh_CN"});
    values.push({"random": "0.21970548620447516"});
    values.push({"f": "json"});
    values.push({"ajax": "1"});
    
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/securesmsverify",
        headers:headers,
        values:values
    };
    
    return JSON.stringify(jsonData);
}

function userGetUUID(ticket){
//    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
//                   {"Accept-Encoding":"gzip,deflate,sdch"},
//                   {"Accept-Language":"zh-CN,zh;q=0.8"},
//                   {"Connection":"keep-alive"},
//                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
//                   {"Host":"mp.weixin.qq.com"},
//                   {"Origin":"mp.weixin.qq.com"},
//                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/35.0.1916.153 Safari/537.36"},
//                   {"X-Requested-With":"XMLHttpRequest"}];
var headers = [];
    var values = [{"1":"1"},
                  {"appid":"wx3a432d2dbe2442ce"},
                  {"scope":"snsapi_contact"},
                  {"state":"0"},
                  {"redirect_uri":"https://mp.weixin.qq.com"},
                  {"login_type":"safe_center"},
                  {"redirect_uri":"https://mp.weixin.qq.com"},
                  {"f":"json"},
                  {"token":""},
                  {"lang":"zh_CN"},
                  {"random":"0.699701951816678"},
                  {"ajax":"1"},
                  {"ticket":ticket}];
    var jsonData = {
        url:"https://mp.weixin.qq.com/safe/safeqrconnect",
        headers:headers,
        values:values
    };
    return  JSON.stringify(jsonData);
}
function userGetTicket(){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/advanced/advanced?action=interface&t=advanced/interface&token=&lang=zh_CN"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];
    
    var values = [{"lang":"zh_CN"},
                  {"token":""},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"auth":"ticket"},
                  {"ajax":"1"},
                  {"action":"get_ticket"}];
    
    var jsonData = {
        url: "https://mp.weixin.qq.com/misc/safeassistant?1=1&token=&lang=zh_CN",
        headers :headers,
        values:values
    };
    
    return JSON.stringify(jsonData);
}

function userCheckQrCode(uuid,timeStamp,token){
       var url = "https://mp.weixin.qq.com/safe/safeuuid?action=json&token"+token+"&uuid="+uuid+"&lang=zh_CN&f=json&random=0.21970548620447516&ajax=1&type=json";
        if(token != null && token.length != 0){
            url += "?timespam=" + timeStamp + "&token=" + token + "&lang=zh_CN";
        }
//    var headers = [{"Accept":"*/*"},
//                   {"Accept-Encoding":"gzip,deflate,sdch"},
//                   {"Accept-Language":"zh-CN,zh;q=0.8"},
//                   {"Host":"mp.weixin.qq.com"},
//                   {"Origin":"mp.weixin.qq.com"},
//                   {"Connection":"keep-alive"},
//                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
//                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"}];

var headers = [];
    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"uuid":uuid},
                  {"type":"json"},
                  {"action":"json"}];
    var jsonData = {
        url:url,
        headers : headers,
        values:values
    };
    
    return JSON.stringify(jsonData);
}

function userCheckQrCodeSecurewxverify(pass_port,code){    
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_phone_tmpl&lang=zh_CN&type=&protected=1&phone=186******86"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];
    
    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"account":pass_port},
                  {"code":code}];
    
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/securewxverify",
        headers:headers,
        values:values
    };
    
    return JSON.stringify(jsonData);
}

function userLogout(token){
    var headers = [];
    
    var values = [];
    
    var jsonData = {
        url:"https://mp.weixin.qq.com/cgi-bin/logout?t=wxm-logout&lang=zh_CN&token=" + token,
        headers:headers,
        values:values
    };
    return JSON.stringify(jsonData);
}
function userCheckQrCodeSecurewxverifyOther(pass_port,code,operation_seq){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com/cgi-bin/readtemplate?t=user/validate_phone_tmpl&lang=zh_CN&type=&protected=1&phone=186******86"},
                   {"User-Agent":"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/31.0.1650.63 Safari/537.36"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"account":pass_port},
                  {"code":code},
                  {"operation_seq":operation_seq}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/cgi-bin/securewxverify",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function userSafeassistantAdminAction1(uuid){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"action":"get_uuid"},
                  {"uuid":uuid},
                  {"auth":"ticket"}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/misc/safeassistant?1=1",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}

function userSafeassistantAdminAction2(msgid){
    var headers = [{"Accept":"application/json, text/javascript, */*; q=0.01"},
                   {"Accept-Encoding":"gzip,deflate,sdch"},
                   {"Accept-Language":"zh-CN,zh;q=0.8"},
                   {"Connection":"keep-alive"},
                   {"Content-Type":"application/x-www-form-urlencoded; charset=UTF-8"},
                   {"Host":"mp.weixin.qq.com"},
                   {"Origin":"https://mp.weixin.qq.com"},
                   {"Referer":"https://mp.weixin.qq.com"},
                   {"X-Requested-With":"XMLHttpRequest"}];

    var values = [{"lang":"zh_CN"},
                  {"random":"0.21970548620447516"},
                  {"f":"json"},
                  {"ajax":"1"},
                  {"token":""},
                  {"type":"1"},
                  {"msgid":msgid},
                  {"auth":"ticket"}];

    var jsonData = {
    url:"https://mp.weixin.qq.com/misc/safeassistant?action=admin_action",
    headers:headers,
    values:values
    };

    return JSON.stringify(jsonData);
}